define(["model/baseModel","config"], function (BaseModel, Config) {

	var Model = BaseModel.extend({
		//url:  '{url_prefix}/business/api/fragment/page/{communityId}/?key=faxian_banner%2Cfaxian_service%2Cfaxian_goods%2Cfaxian_event_v2%2Cfaxian_merchant%2Cfaxian_goodsType_1%2Cfaxian_goodsType_2%2Cfaxian_goodsType_3%2Cfaxian_goodsType_4%2Cfaxian_goodsType_5',
		//url:  '{url_prefix}/business/api/fragment/page/{communityId}/?key=faxian_banner%2Cfaxian_service%2Cfaxian_event_v2%2Cfaxian_goodsType_1%2Cfaxian_goodsType_2%2Cfaxian_goodsType_3%2Cfaxian_goodsType_4%2Cfaxian_goodsType_5',
		url:  '{url_prefix}/business/api/fragment/page/{communityId}/?key=faxian_banner%2Cfaxian_service%2Cfaxian_goods%2Cfaxian_event_v2%2Cfaxian_merchant%2Cfaxian_goodsType_1%2Cfaxian_goodsType_2%2Cfaxian_goodsType_3%2Cfaxian_goodsType_4%2Cfaxian_goodsType_5',
		initialize: function() {
			switch(Config.scheme) {
				case 'alpha':
					this.url = this.url.replace("{url_prefix}", Config.alpha.url_prefix).replace("{communityId}", window.curCommunityId);
			  		break;
				case 'qa':
					this.url = this.url.replace("{url_prefix}", Config.qa.url_prefix).replace("{communityId}", window.curCommunityId);
			  		break;
                case 'qa2':
                    this.url = this.url.replace("{url_prefix}", Config.qa2.url_prefix).replace("{communityId}", window.curCommunityId);
                    break;
			 	case 'release':
					this.url = this.url.replace("{url_prefix}", Config.release.url_prefix).replace("{communityId}", window.curCommunityId);
			  		break;
				default:
			}
		}, 
		defaults: {

    	}
	});
	return Model;
});