define(['views/baseView', 'rem', 'application'], function(BaseView, Rem, Application) {
  var GroupBuyingView = BaseView.extend({
    events: {
      'click .group_buying':'groupbuyinghandler'
    },
    initialize: function(opt) {
      this.fastClick();
      this.$el = $('#groupbuy');
      Application.win.setTitleBar(JSON.stringify({
        title:'小区团购',
        titleBarBg:"",
        titleTextColor:""
      }));
    },
    render: function() {
        
    },
    groupbuyinghandler: function(e) {
      var id = $(e.currentTarget).attr('data-id');
      Application.win.showGoodsDetail(JSON.stringify({
        "id":id
      }));
    }
  });
  return GroupBuyingView;
});
