/*
 配置文件
 alpha：
 qa：
 release：
 */

'use strict';

define(["application"], function (Application) {

    var BaseConfig = {
        scheme: 'release',
        alpha: {
            "url_prefix": "http://cs-dev-api.shequbanjing.com"//sit
        },
        qa: {
            "url_prefix": "http://qa.api.shequbanjing.com"//uat
        },
        qa2: {
            "url_prefix": "http://qa2.api.shequbanjing.com"//uat2
        },
        release: {
            "url_prefix": "http://i.shequbanjing.com"//pro
        }
    };


    try{
        var initWebData = Application.win.initWeb();

        initWebData = JSON.parse(initWebData);

        var environment = initWebData.host;

        if (environment.indexOf('static.m.shequbanjing.com') >= 0) {
            BaseConfig.scheme = 'release';
        } else if (environment.indexOf('cs-dev-api.shequbanjing.com') >= 0) {
            BaseConfig.scheme = 'alpha';
        } else if (environment.indexOf('qa.static.mobile.shequbanjing.com') >= 0) {
            BaseConfig.scheme = 'qa';
        } else if (environment.indexOf('qa2.static.mobile.shequbanjing.com') >= 0) {
            BaseConfig.scheme = 'qa2';
        } else if (environment.indexOf('localhost') >= 0) {
            BaseConfig.scheme = 'alpha';
        }
    } catch (e){
        //Json 格式不合法,不做格式化处理
    }

    return BaseConfig;
});
