require.config({
    baseUrl: 'js/',//源码版本
    //baseUrl: 'dist/js/',//压缩版本
    paths: {
        zepto: '3rd/zepto/zepto.min',
        swiper: '3rd/swiper/swiper',
        underscore: '3rd/underscore/underscore',
        backbone: '3rd/backbone/backbone',
        text: '3rd/require/text',
        fastclick: '3rd/fastclick/fastclick',
        localcache: '3rd/backbone/backbone.fetch-cache.min',
        artTpl: '3rd/template/template',
        application: 'libs/application',
        config: 'libs/config',
        router: 'libs/router',
        rem: 'libs/rem',
        app: 'libs/app',
        url: 'libs/url',
        abnormal: 'libs/abnormal'
    },
    shim: {
        'zepto': {
            // deps: ["deferred"],
            exports: '$'
        }
        // 'deferred': {
        //   deps: ["zepto"]
        // }
    }
});

require(['app'], function (App) {
    'use strict';
    try {
        window.curCommunityId = window.location.search.split("communityId=")[1].split("&")[0];
    } catch (e) {
        throw new Error("error in main.js: communityId");
    }
    App.defaultInit();
});
