define(["model/baseModel","config"], function (BaseModel, Config) {

	var Model = BaseModel.extend({
		//url:  '{url_prefix}/api/fragment/page/{communityId}/?key={key}',
		url:  '{url_prefix}/business/api/fragment/page/{communityId}/?key={key}',//nginx 配置路径
		// url:  'http://127.0.0.1:8889/business/api/fragment/page/{communityId}/?key={key}',

		initialize: function(parameter) {
			var self = this;
	    	this.activityId = parameter;
			var key = 'activity_banner_'+ parameter +'%2Cactivity_goods_' + parameter+'%2Cactivity_color_'+parameter;
			switch(Config.scheme)
			{
			case 'alpha':
				this.url = this.url.replace("{url_prefix}", Config.alpha.url_prefix).replace("{communityId}", window.curCommunityId).replace("{key}", key);
			  	break;
			case 'qa':
				this.url = this.url.replace("{url_prefix}", Config.qa.url_prefix).replace("{communityId}", window.curCommunityId).replace("{key}", key);
			  	break;
            case 'qa2':
                this.url = this.url.replace("{url_prefix}", Config.qa2.url_prefix).replace("{communityId}", window.curCommunityId).replace("{key}", key);
                break;
			 case 'release':
				this.url = this.url.replace("{url_prefix}", Config.release.url_prefix).replace("{communityId}", window.curCommunityId).replace("{key}", key);
			  	break;
			default:
			}
		}, 
    	formatData: function (rawData) {
			var goodsAry = rawData["activity_goods_" + this.activityId],
				parsedData = [],
    			dataHash = {};
    		if(goodsAry && goodsAry.length) {
    			for (var i = 0; i < goodsAry.length; i++) {
    				var item = goodsAry[i];

    				if(dataHash[item.type]) {
    					dataHash[item.type].data.push(item);
    				} else {
    					dataHash[item.type] = {typeName: item.type, 
    						typeSort: item.typeSort, 
    						data: [item]};
    				}
    			}

    			for(var type in dataHash) {
    				if(dataHash.hasOwnProperty(type)) {
    					parsedData.push(dataHash[type]);
    				}
    			}
    		}
    		rawData["activity_goods_" + this.activityId] = parsedData;
    		return rawData;
    	},
		defaults: {

    	}
	});
	return Model;
});