define(["model/baseModel", "config"], function (BaseModel, Config) {
	var MerchantModel = BaseModel.extend({
		//url:  '{url_prefix}/api/shopsMgt/boutique/community/{communityId}/groupByTagName?shopsTagGroupSearch={parameter}',
		url:  '{url_prefix}/business/api/shopsMgt/boutique/community/{communityId}/groupByTagName?shopsTagGroupSearch={parameter}',
		// url:  'http://127.0.0.1:8889/business/api/shopsMgt/boutique/community/{communityId}/groupByTagName?shopsTagGroupSearch={parameter}',
		initialize: function(parameter) {
			// this.url = this.url.replace("{mode}", this.config.mode).replace("{parameter}", parameter);
			switch(Config.scheme)
			{
			case 'alpha':
				this.url = this.url.replace("{url_prefix}", Config.alpha.url_prefix).replace("{parameter}", parameter).replace("{communityId}", window.curCommunityId);
			  	break;
			case 'qa':
				this.url = this.url.replace("{url_prefix}", Config.qa.url_prefix).replace("{parameter}", parameter).replace("{communityId}", window.curCommunityId);
			  	break;
            case 'qa2':
                this.url = this.url.replace("{url_prefix}", Config.qa2.url_prefix).replace("{parameter}", parameter).replace("{communityId}", window.curCommunityId);
                break;
			 case 'release':
				this.url = this.url.replace("{url_prefix}", Config.release.url_prefix).replace("{parameter}", parameter).replace("{communityId}", window.curCommunityId);
			  	break;
			default:
			}
		}, 
		defaults: {

    	}
	});
	return MerchantModel;
});