package cn.lejiayuan.Redesign.Function.topic.model

import cn.lejiayuan.bean.PhotoInfo

/**
 * User: Axl_Jacobs(Axl.Jacobs@gmail.com)
 * Date: 2017/8/22
 * Time: 下午3:00
 */
class TopicDetailModel {
    var title: String = ""
    var content: String = ""
    var activityTime: String = ""
    var pageList: List<PhotoInfo>? = null
    var nickName: String = ""
    var iconUrl: String = ""
    var activityId: String = ""
    var likesNumber: String = ""
    var postTime: String = ""
    var userId: String = ""
    var communityId: String = ""
    var commentNumber: String = ""
    var postId: String = ""
    var postType: String = ""

    constructor(activityTime: String, nickName: String, iconUrl: String, content: String,
                activityId: String, likesNumber: String, postTime: String, userId: String,
                communityId: String, pageList: List<PhotoInfo>?,
                commentNumber: String, postId: String, title: String, postType: String) {
        this.activityTime = activityTime
        this.nickName = nickName
        this.iconUrl = iconUrl
        this.content = content
        this.activityId = activityId
        this.likesNumber = likesNumber
        this.postTime = postTime
        this.userId = userId
        this.communityId = communityId
        this.pageList = pageList
        this.commentNumber = commentNumber
        this.postId = postId
        this.title = title
        this.postType = postType
    }

    constructor(title: String, content: String, postTime: String, pageList: List<PhotoInfo>?) {
        this.title = title
        this.content = content
        this.postTime = postTime
        this.pageList = pageList
    }


}